DOVEADM-MAILBOX-CRYPTOKEY(1)

NAME
doveadm-mailbox-cryptokey - Mail crypt plugin management

SYNOPSIS
doveadm -o plugin/mail_crypt_private_password=password [ -Dv ][ -f formatter ] mailbox cryptokey export|generate|list|password [ -u username | -A ][ -S ][ -F file ] [ other options ]

DESCRIPTION
Generate new keypair for user or folder. The new keypair is marked as active.

OPTIONS
options: @INCLUDE:option-A@ @INCLUDE:option-F-file@ @INCLUDE:option-S-socket@ @INCLUDE:option-u-user@

-o plugin/mail_crypt_private_password=password
    Dovecot option, needed if you use password protected keys

SUBCOMMANDS
export [ -U ] | mailbox-mask

-U  Operate on user keypair only

Exports user's or folder's keypair(s) in PEM format. If the keys are password protected, -o is needed.

generate [ -Rf [ -U ] | mailbox-mask ]

-U  Operate on user keypair only

-R  Re-encrypt all folder keys with current active user key

-f  Force keypair creation, normally keypair is only created if none found

Generates new keypair for user or folder. If you want to generate new user key and use it to secure your folder keys, use generate -u username -UR.

If you want to password-protect your key here, use -o.

list [ -U ] | mailbox-mask

-U  Operate on user keypair only

List all keys for user or folder. No password is required.

password [ -N | -n password ] [ -O | -o password ] [ -C ]

-O  Ask for old password

-o old-password
    Provide old password

-N  Ask for new password

-n new-password
    Provide new password

-C  Clear (unset/remove) password. Your key will not be protected by password.

Set, change or clear password from your user key.

SEE ALSO
doveadm(1)